name: rtree-c
# version: 0.1.0
# synopsis: synopsis
# maintainer: maintainer <email>
# category: categories
# extra-source-files: []

ghc-options: -Wall -fno-warn-incomplete-uni-patterns 

dependencies:
  - base >= 4.9 && < 5
  - rtree
  - containers
  - mtl
  - vector
  - pretty-simple
  - transformers
  - language-c

library:
  source-dirs: src

executables:
  rtree-c: 
    source-dirs: bin/
    main: Main.hs
    dependencies:
      - rtree-c
      - optparse-applicative
      - typed-process
      - directory
      - pretty
      - filepath
      - co-log
      - time
      - text

tests:
  rtree-test:
    source-dirs: test/src
    main: Main.hs
    dependencies:
      - rtree
      - rtree-c
      - hspec
      - hspec-discover
      - hspec-expectations-pretty-diff
      - hspec-glitter
